org.apache.ignite.ml.nn

## Class MLPState

- java.lang.Object
- - org.apache.ignite.ml.nn.MLPState

-     public class MLPState
      extends Object

  State of MLP after computation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Matrix>` | `activatorsOutput` Output of activators.
    `protected Matrix` | `input` Input.
    `protected List<Matrix>` | `linearOutput` Output of linear transformations.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLPState(Matrix input)` Construct MLP state.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Matrix` | `activatorsOutput(int layer)` Output of activators of given layer.
    `Matrix` | `linearOutput(int layer)` Output of linear transformation of given layer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### activatorsOutput

          protected List<Matrix> activatorsOutput

      Output of activators.

    - #### linearOutput

          protected List<Matrix> linearOutput

      Output of linear transformations.

    - #### input

          protected Matrix input

      Input.

  - ### Constructor Detail

    - #### MLPState

          public MLPState(Matrix input)

      Construct MLP state.
      Parameters:
        `input` - Matrix of inputs.

  - ### Method Detail

    - #### activatorsOutput

          public Matrix activatorsOutput(int layer)

      Output of activators of given layer. If layer index is 0, inputs are returned.
      Parameters:
        `layer` - Index of layer to get activators outputs from.
      Returns:
        Activators output.

    - #### linearOutput

          public Matrix linearOutput(int layer)

      Output of linear transformation of given layer. If layer index is 0, inputs are returned.
      Parameters:
        `layer` - Index of layer to get linear transformation outputs from.
      Returns:
        Linear transformation output.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020